Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.shared
Interface AlternateMessageSelector

    public interface AlternateMessageSelector

Defines a way of choosing between alternate messages based on a parameter value.

Nested Class Summary
`static class` | `AlternateMessageSelector.AlternateForm` Represents an alternate form of a message.

Field Summary
`static AlternateMessageSelector.AlternateForm` | `OTHER_FORM`
`static java.lang.String` | `OTHER_FORM_NAME` Name of the "other" form.

Method Summary
`boolean` | `isFormAcceptable(java.lang.String form)` Check if a user-supplied form is acceptable for this alternate message selector.

Field Detail

### OTHER_FORM_NAME

    static final java.lang.String OTHER_FORM_NAME

  Name of the "other" form.

  See Also:
    Constant Field Values

### OTHER_FORM

    static final AlternateMessageSelector.AlternateForm OTHER_FORM

Method Detail

### isFormAcceptable

    boolean isFormAcceptable(java.lang.String form)

  Check if a user-supplied form is acceptable for this alternate message selector.

  Parameters:
    `form` -
  Returns:
    true if the form is acceptable, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD